complexType "AllocationRefused"

Namespace: | http://www.fpml.org/FpML-5/confirmation
Content: | complex, 3 attributes, 11 elements
Defined: | globally in fpml-confirmation-processes-5-5.xsd; see XML source
Includes: | definitions of 3 elements
Used: | at 1 location

Content Model Diagram

XML Representation Summary
<...
fpmlVersion | = | xsd:token
expectedBuild | = | xsd:positiveInteger
actualBuild | = | "7"
| >
Content: | header, validation*, parentCorrelationId?, correlationId, sequenceNumber?, onBehalfOf?, blockTradeIdentifier?, allocations?, (party+, account*)?, reason*
</...>

Content Model Elements (11):

  account, allocations (in allocationRefused), blockTradeIdentifier (in allocationRefused), correlationId, header (defined in ResponseMessage complexType), onBehalfOf (defined in OnBehalfOf.model group), | parentCorrelationId, party (defined in PartiesAndAccounts.model group), reason (in allocationRefused), sequenceNumber (defined in Sequence.model group), validation

All Direct / Indirect Based Elements (1):

  allocationRefused

Known Usage Locations

- As direct type of elements (1):
  allocationRefused

Annotation
A message indicating that a request to allocate a trade has been refused by the sender.
Type Definition Detail

Type Derivation Tree Document (extension) Message (extension) ResponseMessage (extension) AllocationRefused

XML Source (w/o annotations (1); see within schema source)

<xsd:complexType name="AllocationRefused"> <xsd:complexContent> <xsd:extension base="ResponseMessage"> <xsd:sequence> <xsd:element minOccurs="0" name="blockTradeIdentifier" type="TradeIdentifier"/> <xsd:element minOccurs="0" name="allocations" type="Allocations"/> <xsd:group minOccurs="0" ref="PartiesAndAccounts.model"/> <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/> </xsd:sequence> </xsd:extension> </xsd:complexContent> </xsd:complexType>

Content Element Detail (all declarations; defined within this component only; 3/11)
allocations

  Type: | Allocations, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="allocations" type="Allocations"/>

blockTradeIdentifier

  Type: | TradeIdentifier, complex content

  XML Source (see within schema source)

  <xsd:element minOccurs="0" name="blockTradeIdentifier" type="TradeIdentifier"/>

reason

  Type: | Reason, complex content

  XML Source (see within schema source)

  <xsd:element maxOccurs="unbounded" minOccurs="0" name="reason" type="Reason"/>

XML schema documentation generated with DocFlex/XML 1.8.6b2 using DocFlex/XML XSDDoc 2.5.1 template set. All content model diagrams generated by Altova XMLSpy via DocFlex/XML XMLSpy Integration.